Delta - List
Purpose
Retrieve a list of Resources which have changed since a supplied reference timestamp which your API Credentials have access to. Results are in reverse chronological order (ie; from your timestamp to now). Each "Delta" object indentifies what type of resource/object changed and what that resource/object's ID is. This enables you to loop over each changed object - make a subsequent GET call for that object to get the full data - and then update that data in your system. After updating the data in your system you will want to make a request to the Delta Consumed & Mapped Endpoint.
Request
Endpoint
GET /delta
Authentication
Include your API Key within the x-api-key header as described here.
Parameters
The following table lists the parameters that this query supports. All of the parameters listed are query parameters.
| Parameter | Type | Definition |
|---|---|---|
| since_timestamp | string | a reference timestamp which limits returned deltas to changes on or after this supplied timestamp. |
| filter | boolean | an optional boolean [Default: true]. when false is passed, all changed resources since provided timestamp are returned, including those already marked as consumed. |
| internal_account_id | string | The unique ID of the account on your internal system (optional) |
| page | int | The page number of the results you want (set to 1, if not provided) |
Request Body
Do not provide a request body when calling this method.
Response
If successful, this method returns a response body with the following structure:
Response Body
{
"code":200,
"success":true,
"data": [
Delta Resources listed here... (See "Delta Overview" page)
],
"errors": [],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "[path_to_endpoint]",
"per_page": 50,
"to": 10,
"total": 10
},
"links": {
"first": "[path_to_endpoint]?page=1",
"last": "[path_to_endpoint]?page=1",
"prev": null,
"next": null
}
}
Properties
The following table defines the properties that appear in this resource:
| Key | Type | Definition |
|---|---|---|
| code | integer | HTTP Status Code (ie; 200, 403, etc). |
| success | boolean | Either true (success) or false (fail). |
| data | list | List of Changed Resources returned. The data structure of each Changed Resource is a Delta Resource. |
| errors | object | If the request fails, this will contain information about the error. |
| meta | object | Contains information about pagination and total record count. |
| links | object | Contains pre-built links for forward/backward pagination. |